TASKPY(1)

NAME
taskipy - Taskipy automation tool for Python projects

SYNOPSIS
task [-h] [--help] [--list] [name] [args]

DESCRIPTION
The Taskipy project is a utility for automating tasks in Python projects,
providing a simple way to define and execute various development tasks. It
allows tasks like style checking (lint) or other operations to be defined
and executed via a single configuration file.

USAGE
To install Taskipy as a dev dependency, use Poetry:
poetry add --dev taskipy

For Anaconda Python-based environments, Taskipy is also available via conda-forge:
conda install -c conda-forge taskipy

OPTIONS
-h, --help Show help message and exit.

-l, --list Show a list of available tasks.

EXAMPLES
To list available tasks: task -l

To run a specific task: task test

Available tasks include:

test
    Runs all tests.

post_test
    Runs linting after tests: ./task lint.

test_windows
    Command used by Windows CI on Github.

lint
    Lints project using pylint for style and mypy for typings.

lint_pylint
    Runs pylint tests for Taskipy.

lint_mypy
    Runs mypy tests for Taskipy.

make_release_commit
    Creates a tagged commit for the release. Do not use directly.

pre_publish_patch
    Runs tests before publishing a patch version: ./task test.

publish_patch
    Publishes a patch version that includes fixes but no new features (x.x.PATCH).

pre_publish_minor
    Runs tests before publishing a minor version: ./task test.

publish_minor
    Publishes a minor version with new features (x.MINOR.x).

SEE ALSO
Take a look at https://github.com/taskipy/taskipy?tab=readme-ov-file#readme for
more information on how to use Taskipy.

AUTHOR
Taskipy was created by Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>.
Please visit https://github.com/taskipy/taskipy/issues for any issues related
to Taskipy.